pub mod args;
pub mod config;
pub mod create_iso;
pub mod install;
pub mod linux;
pub mod pkg;
pub mod print;

use std::io::Write;

use yansi::{Color, Paint};

pub fn print_status(msg: &str) {
    println!(
        "{} {}",
        "-->".paint(Color::Red),
        msg.paint(Color::Blue.bold())
    );
}

/// Read user input and exit if the input is not "yes"
pub fn expect_yes() {
    let mut input = String::new();
    std::io::stdout().flush().expect("Error flushing stdout.");
    std::io::stdin()
        .read_line(&mut input)
        .expect("Error reading input.");
    let input = input.trim().to_lowercase();

    if input != "yes" {
        println!("Installation aborted.");
        std::process::exit(0);
    }
}
